<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jly.mapper.CheckGroupMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jly.entity.CheckGroup">
        <id column="id" property="id"/>
        <result column="check_plan_id" property="checkPlanId"/>
        <result column="duties" property="duties"/>
        <result column="name" property="name"/>
        <result column="calculate_authority" property="calculateAuthority"/>
        <result column="personnel_authority" property="personnelAuthority"/>
        <result column="tool_authority" property="toolAuthority"/>
        <result column="data_authority" property="dataAuthority"/>
        <result column="record_authority" property="recordAuthority"/>
        <result column="userid" property="userid"/>
        <result column="update_time" property="updateTime"/>
        <result column="del_flag" property="delFlag"/>
        <result column="dept_id" property="deptId"/>
    </resultMap>
    <delete id="deleteBycheckPlanId">
        DELETE FROM check_group WHERE check_plan_id=#{checkPlanId};
    </delete>


</mapper>
